All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
ParseOptionMap Class Reference

provides access to parse option information More...

`#include <ParseOptionMap.h>`

## Static Public Member Functions

static DLLEXPORT const char * | find_name (int code)
| find a parse option name from its code
static DLLEXPORT int | find_code (const char *name)
| find a parse option code from its name
static DLLEXPORT int64 | find_code64 (const char *name)
| find a parse option code from its name
static DLLEXPORT void | list_options ()
| print out all parse optionsto stdout

## Detailed Description

provides access to parse option information

## Member Function Documentation

static DLLEXPORT int ParseOptionMap::find_code | ( | const char * | name | ) |

static

find a parse option code from its name

Deprecated:
  : do not use; uses the wrong return type; use find_code64() instead

The documentation for this class was generated from the following file:

- include/qore/ParseOptionMap.h (5431)